Subject: Re: [PATCH v5 0/6] Add Rockchip RK3576 PWM Support Through MFPWM

From: Nicolas Frattaroli <[email-masked]>
Date: Wed, 22 Apr 2026 13:31:14 +0200

On Tuesday, 21 April 2026 17:56:56 Central European Summer Time Jonathan Cameron wrote:
> On Mon, 20 Apr 2026 15:52:37 +0200
> Nicolas Frattaroli <[email-masked]> wrote:
> 
> > This series introduces support for some of the functions of the new PWM
> > silicon found on Rockchip's RK3576 SoC. Due to the wide range of
> > functionalities offered by it, including many parts which this series'
> > first iteration does not attempt to implement for now. The drivers are
> > modelled as an MFD, with no leakage of the MFD-ness into the binding, as
> > it's a Linux implementation detail.
> 
> Just thought I'd point out that as this includes the linux-iio
> list sashiko took a look at it.  Quite a few things and at least
> the first one I looked at was valid (a dereference before a validity
> check)
> 
> https://sashiko.dev/#/patchset/20260420-rk3576-pwm-v5-0-ae7cfbbe5427%40collabora.com
> 
> Whilst this tool does generate some false positives, it also finds
> quite a few things it seems us humans fail to spot.
> 
> Jonathan
> 

While I'm not entirely opposed to this, I do think reviews should happen
on-list when possible. Sashiko is a Google service, so it has about a 50%
chance of still being around in 2 years time. One of the benefits of the
kernel development workflow is that discussion going back decades is still
accessible.

The reason why these aren't posted to list goes into the other thing
that I currently am not stoked about, which is that I'd have to act as
a filter for a Bring-Your-Own-Brain noise generator to pick out the
parts that aren't convincing lies.